قائم هاست


قائم هاست ارائه دهنده خدمات ثبت دامنه ، هاستینگ ، سرور مجازی و اختصاصی

جهت تماس تلفنی در ساعات اداری با شماره ۷۷۴۳۸۸۸۲-۰۲۱ و در ساعات غیر اداری و تعطیلات با شماره ۴۰۳۱۷۷۲-۰۹۳۵ تماس حاصل فرمایید.

کانفیگ توصیه شده برای وردپرس

کانفیگ توصیه شده برای وردپرس ( قابل استفاده برای هاست و سرور )

در صورتی که سرور برای خودتان نیست یا در محیط های مختلف سرور کار می کنید ( مانند هاست سی پنل یا دایرکت ادمین )، قبل از نصب وردپرس، برای کاربرد و سرعت بهتر , در اینجا لیستی از پیکربندی سرور توصیه شده برای اسکریپت وردپرس منتشر شده است. در این اموزش که در سایت قائم هاست برای شما منتشر کردیم ؛ براحتی میتوانید تنظیمات را در سرور و همچنین در خود هاست به بهترین و استاندارد ترین شکل ممکن تنظیم کنید که براحتی بهترین تنظیمات را برای وردپرس خود انجام دهید.

کانفیگ توصیه شده برای وردپرس

کانفیگ توصیه شده برای وردپرس

فایل php.ini

در فایل php.ini موارد زیر را تعریف کنید:

max_execution_time = 60 memory_limit = 128M post_max_size = 8M upload_max_filesize = 8M max_input_time = 60 file_uploads = On safe_mode = Off

در ورژن های جدید هاست سی پنل امکان ایجاد php.ini بصورت سفارش وجود دارد و کاربرانی که فاقد سرور هستند و وردپرس خود را در هاست نصب کرده اند براحتی میتوانند توسط بخش Multi php editor در هاست سی پنل اقدام به ویرایش و یا ایجاد فایل php.ini کنند که بسادگی از این قابلیت در هاست های سی پنل دارا خواهند بود.

فایل .htaccess

در فایل htaccess :

php_value max_execution_time = 60

فایل wp-congif.php

در فایل wp-config.php :

set_time_limit = 60

فضای دیسک

1 گیگابایت فضای دیسک باید در دسترس باشد

محدودیت حافظه

محدودیت حافظه در هر پردازش: 64 مگابایت (128 مگابایت یا بیشتر توصیه می شود).

برای انتخاب سرور حد اقل 2 گیگابایت رم و 4 هسته پردازنده و ترجیحا وب سرور لایت اسپید و یا Nginx توصیه می شود , اگر قصد خرید سرور مجازی را دارید میتوانید از قائم هاست سرور مجازی ایران و یا سرور مجازی آلمان خریداری کنید جهت نصب و راه اندازی وردپرس با بالاترین سرعت , تیم پشتیبانی قائم هاست با بیش از 8 سال سابقه درخشان در زمینه ارائه خدمات میزبانی وب امکان ارائه انواع هاست و سرور مجازی و اختصاصی مخصوص وردپرس را دارند که میتوانید با اطمینان نسبت به خرید هاست و سرور وردپرس اقدام نمایید.

پی اچ پی و MySQL

حداقل نسخه مورد نیاز PHP 5.2.4 و MySQL 5 است.
PHP 5.2 در حال حاضر امن نیست زیرا دارای آسیب پذیری های مهم است که می تواند مورد استفاده قرار گیرد به آسیب رساندن به وب سایت شما. برخی از افزونههای Cherry Framework با PHP 5.2 کار نخواهند کرد و نیاز به نسخه 5.4 یا بالاتر دارند. ( در سرورهای جدید و وردپرس های ورژن 5 به بالا حد اقل ورژن php توصیه شده برای سایتهای وردپرسی 7.1 و یا 7.2 توصیه میشود , سازگاری و سرعت بالاتر و عملکرد بهتر وردپرس روی ورژن های php بالا تر برای وردپرس پیشنهاد میشود.)

- PHP 5.4
- MySQL 5.5 or later
- mod_rewrite
- php fopen
- suPHP


سایر مطالب پیشنهادی »

 

بازگشت به صفحه ی اصلی وبسایت